// Author: Hezhk3

varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

uniform highp float iTime;
uniform highp vec2 iResolution;

void main()
{
    highp float t = fract(iTime);
    
    gl_FragColor = vec4(mix(texture2D(inputImageTexture, textureCoordinate), texture2D(inputImageTexture2, textureCoordinate2), t).rgb, 1.);
}
