precision highp float;

varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

uniform float opacity;

void main()
{
    mediump vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    mediump vec4 textureColor2 = texture2D(inputImageTexture2, textureCoordinate2) * opacity;

    float alpha = textureColor2.a + textureColor.a - textureColor2.a * textureColor.a;
    gl_FragColor = vec4(abs(textureColor2.rgb - textureColor.rgb), alpha);
}